osl::container Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Typedefs | Functions | Variables
osl::container Namespace Reference

一般的に存在するデータ構造の将棋版，PieceVectorや各種bitsetなど. More...

## Classes
class | BitXmask
| X座標のbitset. More...
class | BoardMask
| 11 x 12 More...
class | BoardMaskTable5x5
class | BoardMaskTable3x3
class | BoardMaskTable5x3Center
struct | TableFull
class | GeneralSimpleHashTable
| 基本的な hash table とりあえず g++ (SGI STL) の hash_map を使って実装 More...
class | MoveLogProbVector
class | MoveStack
| Move のstack. More...
class | MoveVector
class | NearMask
| あるマスの10近傍(8近傍+桂馬の利き)の駒の有無を表すbitset. More...
class | PieceMask
| 駒番号のビットセット. More...
class | PieceMask32
class | PieceMask64
class | PieceValues
| 駒番号->intの配列. More...
class | PieceVector
struct | PointerSet
class | PtypeOSquareVector
struct | QuadInt
class | QuadIntPair
struct | Square8
struct | TripleInt
class | TripleIntPair

## Typedefs
typedef FixedCapacityVector < MoveLogProb, Move::MaxUniqMoves > | MoveLogProbVectorBase
typedef CArray< int32_t, 4 > | v4si
typedef CArray< int64_t, 2 > | v2di

## Functions
bool | operator== (BitXmask l, BitXmask r)
bool | operator!= (BitXmask l, BitXmask r)
bool | operator< (BitXmask l, BitXmask r)
std::ostream & | operator<< (std::ostream &, const BitXmask)
bool | operator== (const BoardMask &, const BoardMask &)
std::ostream & | operator<< (std::ostream &, const BoardMask &)
const BoardMask | operator| (const BoardMask &l, const BoardMask &r)
std::ostream & | operator<< (std::ostream &os, MoveLogProbVector const &mv)
bool | operator== (const MoveLogProbVector &l, const MoveLogProbVector &r)
std::ostream & | operator<< (std::ostream &os, MoveVector const &mv)
bool | operator< (const MoveVector &l, const MoveVector &r)
const NearMask | operator| (NearMask l, NearMask r)
const NearMask | operator& (NearMask l, NearMask r)
bool | operator== (NearMask l, NearMask r)
bool | operator!= (NearMask l, NearMask r)
bool | operator< (NearMask l, NearMask r)
std::ostream & | operator<< (std::ostream &, NearMask)
const PieceMask | operator& (const PieceMask &m1, const PieceMask &m2)
const PieceMask | operator| (const PieceMask &m1, const PieceMask &m2)
const PieceMask | operator~ (const PieceMask &m1)
bool | operator== (const PieceMask &m1, const PieceMask &m2)
bool | operator!= (const PieceMask &m1, const PieceMask &m2)
std::ostream & | operator<< (std::ostream &os, PieceMask const &pieceMask)
std::ostream & | operator<< (std::ostream &os, const PieceVector &)
QuadInt | operator+ (QuadInt const &si0, QuadInt const &si1)
QuadInt | operator- (QuadInt const &si0, QuadInt const &si1)
QuadInt | operator* (QuadInt const &si0, int scale)
bool | operator== (QuadInt const &l, QuadInt const &r)
bool | operator< (QuadInt const &l, QuadInt const &r)
QuadIntPair | operator+ (QuadIntPair const &si0, QuadIntPair const &si1)
QuadIntPair | operator- (QuadIntPair const &si0, QuadIntPair const &si1)
bool | operator== (QuadIntPair const &l, QuadIntPair const &r)
std::ostream & | operator<< (std::ostream &, const Square8 &)
TripleInt | operator+ (TripleInt const &si0, TripleInt const &si1)
TripleInt | operator- (TripleInt const &si0, TripleInt const &si1)
TripleInt | operator* (TripleInt const &si0, int scale)
bool | operator== (TripleInt const &l, TripleInt const &r)
TripleIntPair | operator+ (TripleIntPair const &si0, TripleIntPair const &si1)
TripleIntPair | operator- (TripleIntPair const &si0, TripleIntPair const &si1)
bool | operator== (TripleIntPair const &l, TripleIntPair const &r)
std::ostream & | operator<< (std::ostream &os, TripleInt const &ti)

## Variables
const BoardMaskTable5x5 | Board_Mask_Table5x5
const BoardMaskTable3x3 | Board_Mask_Table3x3
const BoardMaskTable5x3Center | Board_Mask_Table5x3_Center

## Detailed Description

一般的に存在するデータ構造の将棋版，PieceVectorや各種bitsetなど.

TODO: container という名前はどうなのか?

## Typedef Documentation

typedef FixedCapacityVector<MoveLogProb,Move::MaxUniqMoves> osl::container::MoveLogProbVectorBase

Definition at line 12 of file moveLogProbVector.h.

typedef CArray<int64_t,2> osl::container::v2di

Definition at line 34 of file tripleInt.h.

typedef CArray<int32_t,4> osl::container::v4si

Definition at line 33 of file tripleInt.h.

## Function Documentation

bool osl::container::operator!= | ( | BitXmask | l,
|  | BitXmask | r
| ) |  |
| inline

Definition at line 38 of file bitXmask.h.

bool osl::container::operator!= | ( | NearMask | l,
|  | NearMask | r
| ) |  |
| inline

Definition at line 103 of file nearMask.h.

bool osl::container::operator!= | ( | const PieceMask & | m1,
|  | const PieceMask & | m2
| ) |  |
| inline

Definition at line 130 of file pieceMask.h.

const NearMask osl::container::operator& | ( | NearMask | l,
|  | NearMask | r
| ) |  |
| inline

Definition at line 95 of file nearMask.h.

References result.

const PieceMask osl::container::operator& | ( | const PieceMask & | m1,
|  | const PieceMask & | m2
| ) |  |
| inline

Definition at line 100 of file pieceMask.h.

References osl::container::PieceMask::getMask().

QuadInt osl::container::operator* | ( | QuadInt const & | si0,
|  | int | scale
| ) |  |
| inline

Definition at line 135 of file quadInt.h.

TripleInt osl::container::operator* | ( | TripleInt const & | si0,
|  | int | scale
| ) |  |
| inline

Definition at line 157 of file tripleInt.h.

QuadInt osl::container::operator+ | ( | QuadInt const & | si0,
|  | QuadInt const & | si1
| ) |  |
| inline

Definition at line 123 of file quadInt.h.

TripleInt osl::container::operator+ | ( | TripleInt const & | si0,
|  | TripleInt const & | si1
| ) |  |
| inline

Definition at line 145 of file tripleInt.h.

QuadIntPair osl::container::operator+ | ( | QuadIntPair const & | si0,
|  | QuadIntPair const & | si1
| ) |  |
| inline

Definition at line 180 of file quadInt.h.

TripleIntPair osl::container::operator+ | ( | TripleIntPair const & | si0,
|  | TripleIntPair const & | si1
| ) |  |
| inline

Definition at line 198 of file tripleInt.h.

QuadInt osl::container::operator- | ( | QuadInt const & | si0,
|  | QuadInt const & | si1
| ) |  |
| inline

Definition at line 129 of file quadInt.h.

TripleInt osl::container::operator- | ( | TripleInt const & | si0,
|  | TripleInt const & | si1
| ) |  |
| inline

Definition at line 151 of file tripleInt.h.

QuadIntPair osl::container::operator- | ( | QuadIntPair const & | si0,
|  | QuadIntPair const & | si1
| ) |  |
| inline

Definition at line 186 of file quadInt.h.

TripleIntPair osl::container::operator- | ( | TripleIntPair const & | si0,
|  | TripleIntPair const & | si1
| ) |  |
| inline

Definition at line 204 of file tripleInt.h.

bool osl::container::operator< | ( | const MoveVector & | l,
|  | const MoveVector & | r
| ) |  |

Definition at line 14 of file moveVector.cc.

bool osl::container::operator< | ( | BitXmask | l,
|  | BitXmask | r
| ) |  |
| inline

Definition at line 42 of file bitXmask.h.

bool osl::container::operator< | ( | NearMask | l,
|  | NearMask | r
| ) |  |
| inline

Definition at line 107 of file nearMask.h.

References osl::container::NearMask::uintValue().

bool osl::container::operator< | ( | QuadInt const & | l,
|  | QuadInt const & | r
| ) |  |
| inline

Definition at line 145 of file quadInt.h.

References osl::container::QuadInt::XMM::llv, and osl::container::QuadInt::v.

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | MoveVector const & | mv
| ) |  |

Definition at line 6 of file moveVector.cc.

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const BoardMask & | mask
| ) |  |

Definition at line 8 of file boardMask.cc.

References osl::container::BoardMask::test().

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const PieceVector & | pv
| ) |  |

Definition at line 40 of file pieceVector.cc.

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const Square8 & | v
| ) |  |

Definition at line 6 of file square8.cc.

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | MoveLogProbVector const & | mv
| ) |  |

Definition at line 10 of file moveLogProbVector.cc.

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | const BitXmask | mask
| ) |  |

Definition at line 6 of file bitXmask.cc.

References osl::container::BitXmask::intValue().

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | NearMask | m
| ) |  |

Definition at line 7 of file nearMask.cc.

References osl::container::NearMask::uintValue().

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | PieceMask const & | pieceMask
| ) |  |

Definition at line 11 of file pieceMask.cc.

References osl::container::PieceMask::getMask().

std::ostream & osl::container::operator<< | ( | std::ostream & | os,
|  | TripleInt const & | ti
| ) |  |

Definition at line 7 of file tripleInt.cc.

bool osl::container::operator== | ( | const BoardMask & | l,
|  | const BoardMask & | r
| ) |  |
| inline

Definition at line 103 of file boardMask.h.

References osl::container::BoardMask::contents.

bool osl::container::operator== | ( | BitXmask | l,
|  | BitXmask | r
| ) |  |
| inline

Definition at line 34 of file bitXmask.h.

References osl::container::BitXmask::intValue().

bool osl::container::operator== | ( | const MoveLogProbVector & | l,
|  | const MoveLogProbVector & | r
| ) |  |

Definition at line 20 of file moveLogProbVector.cc.

bool osl::container::operator== | ( | NearMask | l,
|  | NearMask | r
| ) |  |
| inline

Definition at line 99 of file nearMask.h.

References osl::container::NearMask::uintValue().

bool osl::container::operator== | ( | const PieceMask & | m1,
|  | const PieceMask & | m2
| ) |  |
| inline

Definition at line 127 of file pieceMask.h.

References osl::container::PieceMask::getMask().

bool osl::container::operator== | ( | QuadInt const & | l,
|  | QuadInt const & | r
| ) |  |
| inline

Definition at line 141 of file quadInt.h.

References osl::container::QuadInt::XMM::llv, and osl::container::QuadInt::v.

bool osl::container::operator== | ( | TripleInt const & | l,
|  | TripleInt const & | r
| ) |  |
| inline

Definition at line 163 of file tripleInt.h.

bool osl::container::operator== | ( | QuadIntPair const & | l,
|  | QuadIntPair const & | r
| ) |  |
| inline

Definition at line 192 of file quadInt.h.

bool osl::container::operator== | ( | TripleIntPair const & | l,
|  | TripleIntPair const & | r
| ) |  |
| inline

Definition at line 210 of file tripleInt.h.

const NearMask osl::container::operator| | ( | NearMask | l,
|  | NearMask | r
| ) |  |
| inline

Definition at line 91 of file nearMask.h.

References result.

const BoardMask osl::container::operator| | ( | const BoardMask & | l,
|  | const BoardMask & | r
| ) |  |
| inline

Definition at line 97 of file boardMask.h.

References result.

const PieceMask osl::container::operator| | ( | const PieceMask & | m1,
|  | const PieceMask & | m2
| ) |  |
| inline

Definition at line 110 of file pieceMask.h.

References osl::container::PieceMask::getMask().

const PieceMask osl::container::operator~ | ( | const PieceMask & | m1) |  |
| inline

Definition at line 119 of file pieceMask.h.

References osl::container::PieceMask::getMask().

## Variable Documentation

const container::BoardMaskTable3x3 osl::container::Board_Mask_Table3x3

Definition at line 142 of file tables.cc.

Referenced by osl::eval::ml::KingXBlockedYBase::evalWithUpdateBang(), osl::eval::ml::King8EffectBase::evalWithUpdateCommon(), osl::state::NumEffectState::prologueCapture(), osl::state::NumEffectState::prologueDrop(), osl::state::NumEffectState::prologueSimple(), and osl::eval::ProgressEvalGeneral< OpeningEval >::update().

const container::BoardMaskTable5x3Center osl::container::Board_Mask_Table5x3_Center

Definition at line 143 of file tables.cc.

Referenced by osl::progress::Effect5x3d::update(), osl::progress::Effect5x3::update(), osl::progress::Effect5x3WithBonus::update(), and osl::progress::ml::NewProgress::updateMain().

const container::BoardMaskTable5x5 osl::container::Board_Mask_Table5x5

Definition at line 141 of file tables.cc.

Referenced by osl::eval::ml::King25EmptySquareNoEffect::evalWithUpdate(), osl::eval::ml::King25EffectEachBoth::evalWithUpdate(), osl::progress::ml::NewProgress::updateSub(), and osl::eval::ml::OpenMidEndingEval::updateSub().